unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, System.ComponentModel, KA.Data.KADao.DataBase,
  KA.DbAware.DbGridExport, Borland.Vcl.Grids, Borland.Vcl.DBGrids,
  KA.Data.KADao.DBGrid, KA.DbAware.ExportCommon, Borland.Vcl.ExtCtrls, Borland.Vcl.Db,
  KA.Data.KADao.Table, Borland.Vcl.StdCtrls;

type
  TForm1 = class(TForm)
    KADaoDatabase1: TKADaoDatabase;
    KADaoTable1: TKADaoTable;
    DataSource1: TDataSource;
    Panel1: TPanel;
    KADaoDBGrid1: TKADaoDBGrid;
    KADbGridExport1: TKADbGridExport;
    Label1: TLabel;
    ComboBox1: TComboBox;
    Label2: TLabel;
    Button1: TButton;
    Edit1: TEdit;
    Label3: TLabel;
    Edit2: TEdit;
    Button2: TButton;
    SaveDialog1: TSaveDialog;
    procedure ComboBox1Change(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.nfm}

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
  if ComboBox1.Text='MS Access'  Then Edit1.Text := ChangeFileExt(Edit1.Text,'.mdb');
  if ComboBox1.Text='MS Excel'   Then Edit1.Text := ChangeFileExt(Edit1.Text,'.xls');
  if ComboBox1.Text='Paradox'    Then Edit1.Text := ChangeFileExt(Edit1.Text,'.db');
  if ComboBox1.Text='dBase'      Then Edit1.Text := ChangeFileExt(Edit1.Text,'.dbf');
  if ComboBox1.Text='XML'        Then Edit1.Text := ChangeFileExt(Edit1.Text,'.xml');
  if ComboBox1.Text='ADTG'       Then Edit1.Text := ChangeFileExt(Edit1.Text,'.adt');
  if ComboBox1.Text='HTML'       Then Edit1.Text := ChangeFileExt(Edit1.Text,'.htm');
  if ComboBox1.Text='CSV'        Then Edit1.Text := ChangeFileExt(Edit1.Text,'.csv');
  if ComboBox1.Text='TabbedText' Then Edit1.Text := ChangeFileExt(Edit1.Text,'.txt');
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  SaveDialog1.FileName := Edit1.Text;
  If SaveDialog1.Execute Then Edit1.Text := SaveDialog1.FileName;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  KADbGridExport1.FileName  := Edit1.Text;
  KADbGridExport1.TableName := Edit2.Text;
  if ComboBox1.Text='MS Access'  Then KADbGridExport1.Format := Access;
  if ComboBox1.Text='MS Excel'   Then KADbGridExport1.Format := Excel;
  if ComboBox1.Text='Paradox'    Then KADbGridExport1.Format := Paradox;
  if ComboBox1.Text='dBase'      Then KADbGridExport1.Format := dBase;
  if ComboBox1.Text='XML'        Then KADbGridExport1.Format := XML;
  if ComboBox1.Text='ADTG'       Then KADbGridExport1.Format := ADTG;
  if ComboBox1.Text='HTML'       Then KADbGridExport1.Format := HTML;
  if ComboBox1.Text='CSV'        Then KADbGridExport1.Format := CSV;
  if ComboBox1.Text='TabbedText' Then KADbGridExport1.Format := TabbedText;
  KADbGridExport1.Activate := True;
  if KADbGridExport1.Activate Then ShowMessage('Export to '+Edit1.Text+' succeeded!');
end;

end.
